services:
  web:
    image: $IMAGE_APP_PRODUCTION
    command: gunicorn ${DJANGO_PROJECT_NAME}.wsgi:application -b 0.0.0.0:8000 -w 3 --timeout 600
    volumes:
      - ../../static/:/home/app/web/static
      - ../../media/:/home/app/web/media
      - ../../logs/:/home/app/web/logs
    env_file:
      - ../../.envs/.env.prod
    environment:
      - SQL_HOST=${SQL_HOST:-db}
      - SQL_PORT=${SQL_PORT:-5432}
      - DJANGO_PROJECT_NAME=${DJANGO_PROJECT_NAME}
    depends_on:
      - redis
      - db
    ports:
      - ${RUNSERVER_PORT:-8000}:8000
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
    restart: always
    networks:
      - network_production

  db:
    image: postgis/postgis:12-3.1-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    env_file:
      - ../../.envs/.env.prod.db
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
    restart: always
    networks:
      - network_production

  redis:
    image: redis:alpine
    restart: always

volumes:
  postgres_data:
    driver: local

networks:
  network_production:
    driver: overlay
